I want AutoUpdate Support for LM18.3

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
vonMos
Level 1
Level 1
Posts: 32
Joined: Sat Mar 21, 2015 8:19 am

I want AutoUpdate Support for LM18.3

Post by vonMos » Fri Nov 02, 2018 6:08 am

I want AutoUpdate Support for LM18.3 the update manager. In 19.x there is an option. Thanks!

User avatar
JoeFootball
Level 7
Level 7
Posts: 1884
Joined: Tue Nov 24, 2009 1:52 pm
Location: /home/usa/mn/minneapolis/joe

Re: I want AutoUpdate Support for LM18.3

Post by JoeFootball » Fri Nov 02, 2018 11:03 am

vonMos wrote:I want AutoUpdate Support for LM18.3 the update manager.
Auto-Upgrade via the Update Manager was introduced with LM 19, to be used in conjunction with Timeshift. As such, it doesn't natively exist in LM 18.3.

You could create a cron job to leverage the mintupdate-tool command to accomplish this (I think it's superseded by mintupdate-cli with LM 19). I'm sure there are a few threads here that instruct how to do so. That said, if this sounds daunting to you, then you probably don't want automatic upgrades, and I wouldn't recommend it anyway. :)

Speaking for myself, I'm of the opinion that wise users are aware of what's being installed on their computer, and part of the beauty of the LM Update Manager is the Levels that allow users to better assess what's available for installation. I'd never consider blindly installing whatever shows up. But I'm confident other users have other opinions on the matter.

Joe

User avatar
vonMos
Level 1
Level 1
Posts: 32
Joined: Sat Mar 21, 2015 8:19 am

Re: I want AutoUpdate Support for LM18.3

Post by vonMos » Fri Nov 02, 2018 11:27 am

JoeFootball wrote:
Fri Nov 02, 2018 11:03 am
vonMos wrote:I want AutoUpdate Support for LM18.3 the update manager.
Auto-Upgrade via the Update Manager was introduced with LM 19, to be used in conjunction with Timeshift. As such, it doesn't natively exist in LM 18.3.

You could create a cron job to leverage the mintupdate-tool command to accomplish this (I think it's superseded by mintupdate-cli with LM 19). I'm sure there are a few threads here that instruct how to do so. That said, if this sounds daunting to you, then you probably don't want automatic upgrades, and I wouldn't recommend it anyway. :)

Speaking for myself, I'm of the opinion that wise users are aware of what's being installed on their computer, and part of the beauty of the LM Update Manager is the Levels that allow users to better assess what's available for installation. I'd never consider blindly installing whatever shows up. But I'm confident other users have other opinions on the matter.

Joe
Made cron job on 17.3, i'm too lazy to copy and find the old script :))

User avatar
Moem
Level 19
Level 19
Posts: 9188
Joined: Tue Nov 17, 2015 9:14 am
Location: The Netherlands
Contact:

Re: I want AutoUpdate Support for LM18.3

Post by Moem » Fri Nov 02, 2018 11:29 am

Well, then there's a good chance that others will be too lazy to help you. 8)
Image

If your issue is solved, kindly indicate that by editing the first post in the topic, and adding [SOLVED] to the title. Thanks!

User avatar
karlchen
Level 20
Level 20
Posts: 11223
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: I want AutoUpdate Support for LM18.3

Post by karlchen » Fri Nov 02, 2018 12:20 pm

Hello, vanMos.

You are not the first one to ask for automatic software updates on Mint 18.x.
Please, visit these 2 threads:
Automatic Updates - Please [Solved]
[SOLVED] mintupdate-tool scripts / cron
In both threads you should find ways of achieving your goal.

Best regards,
Karl
Image
Linux Mint 19.2 32-bit xfce Desktop, Total Commander 9.22a 32-bit
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.22a 64-bit
Windows? - 1 window in every room

Post Reply

Return to “Software & Applications”